%define pkg_name        MIME-Base64
%define pkg_version     3.07
%define rpm_pkg_version 3.07
%define rpm_pkg_release 1.n0i.4

Summary:       Encode/decode Base 64
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Each non-printable character is represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:3.07-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 3.07

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:3.01-1.n0i.3
- version 3.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Tue Mar 23 2004 Marius FERARU <altblue@n0i.net> 0:3.00-2.n0i.2
- serial goes back to 0!

* Wed Feb 25 2004 Marius FERARU <altblue@n0i.net> 3:3.00-1.n0i.1
- version 3.00
- spec file (re?)created using N0i::CPAN::RPMizer/2004022501
